cURL
curl --request DELETE \
--url https://app.pixy.art/api/v1/designs \
--header 'Authorization: Bearer <token>'import { Pixy } from '@pixy-art/sdk'
const pixy = new Pixy({
apiKey: 'YOUR_API_KEY',
})
const result = await pixy.designs.delete({
userId: 'YOUR_APP_USER_ID',
})
console.log(result.data)
import requests
url = "https://app.pixy.art/api/v1/designs"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
{
"data": {
"deleted": 12,
"media": 48,
"files": 137
}
}{
"message": "A userId is required. Deleting every design in an organization is not supported."
}{
"message": "Unauthorized"
}API Reference
Delete designs
Remove an embed user’s designs and the files behind them.
DELETE
https://app.pixy.art
/
api
/
v1
/
designs
cURL
Authorizations
Organization API key passed as a bearer token.
Query Parameters
The embedder-provided user identifier whose designs are deleted.
Maximum string length:
128Response
The designs, and the files behind them, are gone.
Was this page helpful?
⌘I